Core - Bug # 62391

Status: Resolved Priority: Must have
Author: Christian Hernmarck Category:
Created: 2014-10-22 Assigned To:
Updated: 2014-11-083 Due date:
TYPO3 Version: 4.5

PHP Version: 52

Complexity: no-brainer

Is Regression: Yes

Sprint Focus:

Subject: TYPO3 4.5.37 requires PHP 5.3

Description

With PHP 5.2.6:

[22-Oct-2014 11:30:21] PHP Fatal error: func_get_args(): Can't be used as a function parameter in
..../typo3/typo3_src-4.5.37/t3lib/class.t3lib_div.php on line 5432

http:/php.net/manual/en/function.func-get-arg.php:

Version Description
5.3.0 This function can now be used in parameter lists.

So - even if PHP 5.2 is deprecated, on the TYPO3-Download page it says TYPO3 4.5 runs with PHP 5.2 - but the update from today
does not.

Related issues:
related to Core - Bug # 53682: Exception '$toolbarltem "shortcuts" must imple... Resolved 2013-11-15
duplicated by Core - Bug # 62409: TYPOS3 4.5.37 not compatible with PHP 5.2.x Closed 2014-10-22

Associated revisions

Revision a62c19e5 - 2014-10-22 19:00 - Helmut Hummel

[BUGFIX] Ensure PHP 5.2 compatibility in makelnstance

The backport #53682 introduced a regression with PHP 5.2,
which still is officially supported by TYPO3 CMS 4.5

Adapt the code to be PHP 5.2 compatible

Resolves: #62391

Releases: 4.5

Change-Id: 1e9d6¢3175d02424e0d2329cc07{f99e09cccc040
Reviewed-on: http://review.typo3.org/33470

Reviewed-by: Christian Hernmarck <ch_t3@hernmarck.ch>

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Tested-by: Markus Klein <klein.t3@reelworx.at>

Revision 79ba8820 - 2014-11-03 14:00 - Michael Stucki

[BUGFIX] Ensure PHP 5.2 compatibility in php-openid
The backport #62357 introduced a regression with PHP 5.2,
which still is officially supported by TYPO3 CMS 4.5

Adapt the code to be PHP 5.2 compatible

Resolves: #62391

Releases: 4.5

Change-Id: 172895592e10d963f2777c4659cc1f0a10e69alct
Reviewed-on: http://review.typo3.org/33737

Reviewed-by: Helmut Hummel <helmut.hummel@typo3.org>

Tested-by: Helmut Hummel <helmut.hummel@typo3.org>

Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>

History

#1 - 2014-10-22 12:10 - Markus Klein

- Status changed from New to Accepted

- Is Regression changed from No to Yes

#2 - 2014-10-22 12:16 - Mathias Schreiber

Hi Christian,

you are absolutely right about this one.

I'm sorry a backport slipped through and broke 5.2 compatibility.
We are working on a solution right now.

Thank you for reporting the issue on such short notice.

Cheers
Mathias

#3 - 2014-10-22 12:17 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch TYPO3_4-5 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0org/33470

#4 - 2014-10-22 12:17 - Markus Klein

- Status changed from Under Review to Accepted
- Priority changed from Should have to Must have
- Complexity set to no-brainer

#5 - 2014-10-22 12:38 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 2 for branch TYPO3_4-5 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33470
#6 - 2014-10-22 12:39 - Gerrit Code Review

Patch set 3 for branch TYPO3_4-5 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33470

#7 - 2014-10-22 12:40 - Helmut Hummel
- Status changed from Under Review to Needs Feedback

Christian Hernmarck wrote:

So - even if PHP 5.2 is deprecated, on the TYPO3-Download page it says TYPO3 4.5 runs with PHP 5.2 - but the update from today does not.

Can you please test if https://review.typo3.org/#/c/33470/ resolves your issue with PHP 5.2? It works for me with PHP 5.2.17

#8 - 2014-10-22 13:39 - Christian Hernmarck

Patchset 2 or 3 (same..?) fixes the problem - | can login again :-)

Thx!

#9 - 2014-10-22 14:14 - Markus Klein

Please consider voting on Gerrit too. Thanks.

#10 - 2014-10-22 14:30 - Christian Hernmarck

not my daily job... but | think | succeded... :-)

#11 - 2014-10-22 18:05 - Oliver Hader

Thanks for reporting. Unfortunately the automated tests did not catch this behavior as well.

Travis was running (actually it was not running) but did not trigger an error warning:
https://travis-ci.org/TYPO3/TYPO3.CMS/builds/37984429

#12 - 2014-10-22 19:30 - Helmut Hummel
- Status changed from Needs Feedback to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:a62c19e595f2bead4c790e9ca56d30e25079e97f.

#13 - 2014-11-03 09:47 - Gerrit Code Review
- Status changed from Resolved to Under Review

2015-08-04 3/4


http://review.typo3.org/33470
https://review.typo3.org/#/c/33470/
https://travis-ci.org/TYPO3/TYPO3.CMS/builds/37984429

Patch set 1 for branch TYPO3_4-5 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33737

#14 - 2014-11-03 10:43 - Gerrit Code Review

Patch set 2 for branch TYPO3_4-5 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/33737

#15 - 2014-11-03 13:54 - Gerrit Code Review

Patch set 3 for branch TYPO3_4-5 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/33737

#16 - 2014-11-03 14:30 - Michael Stucki

- Status changed from Under Review to Resolved

Applied in changeset commit:79ba88207e0361c3b496913855¢33cc55f633547.
